
.row {
    display: -ms-flexbox;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -ms-flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
            flex-wrap: wrap;
    margin-right: -2rem;
    margin-left: -2rem;
}

.row.no-gutters {
    margin-right: 0;
    margin-left: 0;
}

.row.no-gutters>.col, 
.row.no-gutters>[class*="col-"] {
    padding-right: 0;
    padding-left: 0;
}

.row-cols-1>*, .row-cols-2>*, .row-cols-3>*, .row-cols-4>*, .row-cols-5>*, .row-cols-6>*, .row-cols-sm-1>*, .row-cols-sm-2>*, .row-cols-sm-3>*, .row-cols-sm-4>*, .row-cols-sm-5>*, .row-cols-sm-6>*, .row-cols-md-1>*, .row-cols-md-2>*, .row-cols-md-3>*, .row-cols-md-4>*, .row-cols-md-5>*, .row-cols-md-6>*, .row-cols-lg-1>*, .row-cols-lg-2>*, .row-cols-lg-3>*, .row-cols-lg-4>*, .row-cols-lg-5>*, .row-cols-lg-6>*, .row-cols-xl-1>*, .row-cols-xl-2>*, .row-cols-xl-3>*, .row-cols-xl-4>*, .row-cols-xl-5>*, .row-cols-xl-6>*,
.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, .col, .col-auto, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm, .col-sm-auto, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md, .col-md-auto, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg, .col-lg-auto, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl, .col-xl-auto {
    position: relative;
    width: 100%;
    padding-right: 2rem;
    padding-left: 2rem;
}

.col {
    -ms-flex-preferred-size: 0;
    -webkit-flex-basis: 0;
            flex-basis: 0;
    -ms-flex-positive: 1;
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
            flex-grow: 1;
    max-width: 100%;
}

.row-cols-1>* {
    -ms-flex: 0 0 100%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 100%;
            flex: 0 0 100%;
    max-width: 100%;
}

.row-cols-2>* {
    -ms-flex: 0 0 50%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 50%;
            flex: 0 0 50%;
    max-width: 50%;
}

.row-cols-3>* {
    -ms-flex: 0 0 33.333333%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 33.333333%;
            flex: 0 0 33.333333%;
    max-width: 33.333333%;
}

.row-cols-4>* {
    -ms-flex: 0 0 25%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 25%;
            flex: 0 0 25%;
    max-width: 25%;
}

.row-cols-5>* {
    -ms-flex: 0 0 20%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 20%;
            flex: 0 0 20%;
    max-width: 20%;
}

.row-cols-6>* {
    -ms-flex: 0 0 16.666667%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 16.666667%;
            flex: 0 0 16.666667%;
    max-width: 16.666667%;
}

.col-auto {
    -ms-flex: 0 0 auto;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 auto;
            flex: 0 0 auto;
    width: auto;
    max-width: 100%;
}

.col-1 {
    -ms-flex: 0 0 8.333333%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 8.333333%;
            flex: 0 0 8.333333%;
    max-width: 8.333333%;
}

.col-2 {
    -ms-flex: 0 0 16.666667%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 16.666667%;
            flex: 0 0 16.666667%;
    max-width: 16.666667%;
}

.col-3 {
    -ms-flex: 0 0 25%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 25%;
            flex: 0 0 25%;
    max-width: 25%;
}

.col-4 {
    -ms-flex: 0 0 33.333333%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 33.333333%;
            flex: 0 0 33.333333%;
    max-width: 33.333333%;
}

.col-5 {
    -ms-flex: 0 0 41.666667%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 41.666667%;
            flex: 0 0 41.666667%;
    max-width: 41.666667%;
}

.col-6 {
    -ms-flex: 0 0 50%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 50%;
            flex: 0 0 50%;
    max-width: 50%;
}

.col-7 {
    -ms-flex: 0 0 58.333333%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 58.333333%;
            flex: 0 0 58.333333%;
    max-width: 58.333333%;
}

.col-8 {
    -ms-flex: 0 0 66.666667%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 66.666667%;
            flex: 0 0 66.666667%;
    max-width: 66.666667%;
}

.col-9 {
    -ms-flex: 0 0 75%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 75%;
            flex: 0 0 75%;
    max-width: 75%;
}

.col-10 {
    -ms-flex: 0 0 83.333333%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 83.333333%;
            flex: 0 0 83.333333%;
    max-width: 83.333333%;
}

.col-11 {
    -ms-flex: 0 0 91.666667%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 91.666667%;
            flex: 0 0 91.666667%;
    max-width: 91.666667%;
}

.col-12 {
    -ms-flex: 0 0 100%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 100%;
            flex: 0 0 100%;
    max-width: 100%;
}

.offset-1  { margin-left: 8.333333%;  }
.offset-2  { margin-left: 16.666667%; }
.offset-3  { margin-left: 25%;        }
.offset-4  { margin-left: 33.333333%; }
.offset-5  { margin-left: 41.666667%; }
.offset-6  { margin-left: 50%;        }
.offset-7  { margin-left: 58.333333%; }
.offset-8  { margin-left: 66.666667%; }
.offset-9  { margin-left: 75%;        }
.offset-10 { margin-left: 83.333333%; }
.offset-11 { margin-left: 91.666667%; }